%define upstream_name    Archive-BagIt
%define upstream_version 0.033

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An interface to make and verify bags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Find)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::App::Cmd)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/bagit.pl
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.33.0-2.mga4
+ Revision: 536979
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.33.0-1.mga4
+ Revision: 486053
- update to 0.033

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 363093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 304335
- imported package perl-Archive-BagIt


* Wed Oct 10 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
